function varargout = confirmremove(varargin)
%CONFIRMREMOVE - Removes tetrahedra or changes their permittivity.
%
% Syntax:
%   epsilon = confirmremove;
%
% Description:
%   CONFIRMREMOVE prompts the user to specify whether to remove tetrahedra
%   previously selected or to change their permittivity.
%
% Output:
%   epsilon - scalar containing the new permittivity.
%       A value of unity indicates that the tetrahedra are to be removed.
%       If epsilon is the empty matrix, then the user closed the window.

% MATLAB Antenna Toolbox Draft 05, Antenna Lab, ECE, WPI, mat05@ece.wpi.edu
% Author: A. Marut

% Last Modified by GUIDE v2.5 25-Mar-2005 16:35:15

% MATLAB Antenna Toolbox Draft 05, Antenna Lab, ECE, WPI, mat05@ece.wpi.edu
% Author: A. Marut

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @confirmremove_OpeningFcn, ...
                   'gui_OutputFcn',  @confirmremove_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before confirmremove is made visible.
function confirmremove_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to confirmremove (see VARARGIN)

% Choose default command line output for confirmremove
handles.output = [];

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes confirmremove wait for user response (see UIRESUME)
uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = confirmremove_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

delete(gcf);



% --- Executes on close.
function close_Callback(hObject, eventdata, handles)
% hObject    handle to callback object
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% If the figure is open without this program running

if isempty(handles)
    delete(gcf);
else
    uiresume(gcf);
end



function epsilon_edit_Callback(hObject, eventdata, handles)
% hObject    handle to epsilon_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of epsilon_edit as text
%        str2double(get(hObject,'String')) returns contents of epsilon_edit as a double


% --- Executes during object creation, after setting all properties.
function epsilon_edit_CreateFcn(hObject, eventdata, handles)
% hObject    handle to epsilon_edit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in ok_btn.
function ok_btn_Callback(hObject, eventdata, handles)
% hObject    handle to ok_btn (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

if get(handles.rb_panel, 'SelectedObject') == handles.change_rb
    handles.output = str2double(get(handles.epsilon_edit, 'String'));
    if isnan(handles.output)
        errordlg('Permittivity must be a valid scalar value', 'Input format error', 'modal');
        handles.output = [];
        return;
    end
else
    handles.output = 1;
end

guidata(hObject, handles);

uiresume(gcf);
