%REMOVE - Removes selected metal edge BFs from the metal mesh 
%
% Syntax:
%   REMOVE
%
% Description:
%   REMOVE delelets selected metal RWG basis functions (disconnects the
%   metal at a certain location by a gap of infinitesimally small thickness)
%   The code is self-explanatory. Can be used to remove/load edges
%
% MATLAB Antenna Toolbox Draft 05, Antenna Lab, ECE, WPI, mat05@ece.wpi.edu
% Authors: S. Makarov, S. Kulkarni, A. Marut

clear all;

s = pwd;
cd ..;
pathadd(s,0);
cd(s);

load struct3d;
Q           = P;
Q(3,:)      = 0;
e           = [Edgesm Edgesb];
e(3,:)      = e(2,:);
EdgesSelect = [];
EdgesSelect = triselect(Q, e, 'Select edges to remove - use polygon tool');

if ~isnan(EdgesSelect)
    EdgesSelect
    Edgesm(:, EdgesSelect)  = [];
    Tp(EdgesSelect)         = [];
    Tm(EdgesSelect)         = [];
    Vp(EdgesSelect)         = [];
    Vm(EdgesSelect)         = [];
else
    return;
end
    
clear Q e EdgesSelect
save struct3d;

s = pwd;
cd ..;
pathremove;
cd(s);
