clear all;

%   Load FEKO
fid             = fopen('feko_8406.m'); 
names           = textscan(fid, '%f%f', 'Inf');
theta_FEKO      = names{1}; 
RCS_FEKO1       = names{2};

fid             = fopen('feko_10068.m'); 
names           = textscan(fid, '%f%f', 'Inf');
theta_FEKO      = names{1}; 
RCS_FEKO2       = names{2};

h = figure;
plot(theta_FEKO, RCS_FEKO1, 'm', 'LineWidth', 2);
grid on; hold on;
plot(theta_FEKO, RCS_FEKO2, 'm', 'LineWidth', 2);
axis([0 50 0 50])

%   load MATLAB
load Triangles=3250_R^2=0.1.mat
plot(thetai*180/pi, RCSmono, '--r', 'LineWidth', 2);
load Triangles=7119_R^2=0.1.mat
plot(thetai*180/pi, RCSmono, '-.g', 'LineWidth', 2);
load Triangles=11060_R^2=0.1.mat
plot(thetai*180/pi, RCSmono, '.b', 'LineWidth', 2);


%   title and legend
title({'Etheta-RCS for a cylinder with a hub'; ...
       'E0  = [cos(thetai) 0  sin(thetai)]';...
       'k0 = [sin(thetai) 0 -cos(thetai)]'})

h = legend('FEKO-8406 triangles', 'FEKO-10068 triangles', ...
           'MATLAB-3250 triangles', 'MATLAB-7119 triangles', 'MATLAB-11060 triangles', 5);



